Create Key
curl --request POST \
--url https://rwapulse.xyz/api/v0/keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://rwapulse.xyz/api/v0/keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rwapulse.xyz/api/v0/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Keys
Create Key
Create an API key
POST
/
keys
Create Key
Create an API key. No authentication required.
curl -X POST "https://rwapulse.xyz/api/v0/keys" \
-H "Content-Type: application/json" \
-d '{"name": "My App"}'
Parameters
| Name | Required | Description |
|---|---|---|
name | Yes | Key identifier (1-100 chars) |
Response
{
"key": "rwa_xxxxxxxxxxxxxxxxx",
"keyId": "key_xxxxx"
}
The
key is shown once. Copy it before leaving.Errors
| Code | Cause |
|---|---|
| 400 | Missing or invalid name |
| 429 | 5+ keys created today from this IP |
⌘I